package com.ruoyi.gysl.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 基本信息(BasicInformation)表实体类
 *
 * @author makejava
 * @since 2025-02-24 09:25:55
 */
@Data
@ApiModel("基本信息")
@TableName(value = "basic_information")
@SuppressWarnings("serial")
public class BasicInformation extends Model<BasicInformation> {

    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    //项目名称
    @NotBlank
    @ApiModelProperty("项目名称")
    private String name;


    //项目法人单位
    @NotBlank
    @ApiModelProperty("项目法人单位")
    private String xmfrdwxz;


    //项目法人单位性质
    @NotBlank
    @ApiModelProperty("项目法人单位性质")
    private Integer nature;

    //施工单位
    @ApiModelProperty("施工单位")
    private String sgdw;


    //设计单位
    @ApiModelProperty("设计单位")
    private String sjdw;


    //总投资额
    @ApiModelProperty("总投资额")
    private BigDecimal ztze;


    //所属功能区
    @NotBlank
    @ApiModelProperty("所属功能区")
    private Integer ssgnq;


    //建设起止时间
    @ApiModelProperty("建设起止时间")
    private Date begainTime;


    //现状分类
    @NotBlank
    @ApiModelProperty("现状分类")
    private Integer xzfl;


    //建设地点
    @NotBlank
    @ApiModelProperty("建设地点")
    private String jsdd;

    //重点发展产业
    @NotBlank
    @ApiModelProperty("重点发展产业")
    private String prioritize;


    //建设模式
    @NotBlank
    @ApiModelProperty("建设模式")
    private Integer jsms;

    //标签
    @ApiModelProperty("项目标签")
    private String label;


    //项目负责人
    @NotBlank
    @ApiModelProperty("项目负责人")
    private String projectLeader;


    //联系方式
    @NotBlank
    @ApiModelProperty("联系方式")
    private String phone;


    //施工许可证发放时间
    @ApiModelProperty("施工许可证发放时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date issuingTime;

    //竣工验收时间
    @ApiModelProperty("竣工验收时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime acceptanceTime;


    //项目法人单位简介
    @NotBlank
    @ApiModelProperty("项目法人单位简介")
    private String unitIntroduction;

    //项目简介
    @NotBlank
    @ApiModelProperty("项目简介")
    private String introduction;

    //附件
    @ApiModelProperty("附件")
    private String fj;


    //创建者id
    @ApiModelProperty("创建者id")
    private Integer createId;

    //创建时间
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;


    //创建者
    @ApiModelProperty("创建者")
    private String createBy;

    //更新者ID
    @ApiModelProperty("更新者ID")
    private Long updateId;

    //更新者
    @ApiModelProperty("更新者")
    private String updateBy;

    //更新时间
    @ApiModelProperty("更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;


}

