package com.ruoyi.gysl.mapper;

import com.ruoyi.gysl.entity.Fmqd;
import io.lettuce.core.dynamic.annotation.Param;
import org.mapstruct.Mapper;

import java.util.List;
/**
 * 负面清单管理(Fmqd)表数据库访问层
 */
@Mapper
public interface FmqdServiceMapper {
    /**
     * 根据条件查询负面清单数据列表
     *
     * @param fmqd 查询条件实体
     * @return 负面清单数据列表
     */
    List<Fmqd> selectFmqdList(Fmqd fmqd);
    /**
     * 根据条件查询负面清单的单条数据列表
     *
     * @param id 查询条件实体
     * @return 负面清单单条数据
     */
    Fmqd selectFmqdById(@Param("id") Integer id);
    /**
     * 添加负面清单的单条数据
     *
     * @param fmqd 添加数据
     * @return 添加结果
     */
    int saveFmqd(Fmqd fmqd);
    /**
     * 修改负面清单的单条数据
     *
     * @param fmqd 修改数据
     * @return 修改结果
     */
    int updateFmqd(Fmqd fmqd);

    /**
     * 修改负面清单的单条数据
     *
     * @param id 删除数据
     * @return 删除结果
     */
    int deleteFmqd(Integer id);
}