package com.ruoyi.gysl.service;

import com.ruoyi.gysl.entity.Fmqd;

import java.util.List;

/**
 * 负面清单管理(FmqdController)表数据库访问层
 *
 * @author User
 */
public interface FmqdService {

    /**
     * 根据条件查询负面清单数据列表
     *
     * @param fmqd 查询条件实体
     * @return 负面清单数据列表
     */
    public List<Fmqd> selectFmqdList(Fmqd fmqd);
    /**
     * 根据条件查询负面清单的单条数据列表
     *
     * @param id 查询条件实体
     * @return 单条数据
     */
    public Fmqd selectFmqdId(Integer id);

    /**
     * 增加负面清单
     *
     * @param fmqd 数据
     * @return 新增结果
     */
    public int save(Fmqd fmqd);

    /**
     * 修改负面清单数据
     *
     * @param fmqd 数据
     * @return 修改结果
     */
    public int updateById (Fmqd fmqd);

    /**
     * 删除负面清单数据
     * @param id 数据
     * @return 删除结果
     */
    int deleteMapping(Integer id);

}
