package com.ruoyi.gysl.service.impl;

import com.ruoyi.gysl.entity.Fmqd;
import com.ruoyi.gysl.mapper.FmqdServiceMapper;
import com.ruoyi.gysl.service.FmqdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 *负面清单管理 服务层实现
 */
@Service
public class FmqdServiceImpl implements FmqdService {

    @Autowired
    private FmqdServiceMapper fmqdMapper;


    /**
     * 查询负面清单信息
     *
     * @param fmqd 查询条件实体
     * @return 负面清单数据列表
     */
    @Override
    public List<Fmqd> selectFmqdList(Fmqd fmqd) {
        return fmqdMapper.selectFmqdList(fmqd);
    }
    /**
     * 查询负面清单单条信息
     *
     * @param id 查询条件
     * @return 负面清单单条数据
     */
    @Override
    public Fmqd selectFmqdId(Integer id) {
        return fmqdMapper.selectFmqdById(id);
        }

    /**
     * 添加负面清单信息
     *
     * @param fmqd 添加信息
     * @return 新增结果
     */
    @Override
    public int save(Fmqd fmqd) {
        return fmqdMapper.saveFmqd(fmqd);
    }
    /**
     * 添加负面清单信息
     *
     * @param fmqd 修改信息
     * @return 修改结果
     */
    @Override
    public int updateById(Fmqd fmqd) {
        return fmqdMapper.updateFmqd(fmqd);
    }
    /**
     * 添加负面清单信息
     *
     * @param id 删除
     * @return 删除结果
     */
    @Override
    public int deleteMapping(Integer id) {
        return fmqdMapper.deleteFmqd(id);
    }


}